Redmine - Defect #20988

% done field shown on issue show subtree even if deactivated for that tracker
2015-10-14 12:16 - Felix Schafer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.2.1

Resolution: Fixed Affected version:

Description

The issue subtasks, i.e. the list of subtasks shown below the description on a single issue view, will show the progress bar even in
the %-done is deactivated for the tracker of that subtask.

Associated revisions

Revision 15082 - 2016-01-21 05:56 - Jean-Philippe Lang

Fixed that % done field is shown on issue show subtree even if deactivated for that tracker (#20988).

Patch by Go MAEDA.

Revision 15206 - 2016-03-12 11:02 - Jean-Philippe Lang
Merged r15082 (#20988).

History

#1 - 2016-01-18 04:32 - Go MAEDA
- File screenshot-fixed.png added
- File defect-20988.diff added

- Target version set to 3.3.0

| have written a patch to fix this: defect-2 diff
Bug #68 /" Edit (5} Log time v Watch [ Copy T Delete
f XXX
.45 ',,-' Added by Redmine Admin 10 months ago. Updated less than a minute ago.
Status: Mew Start date: 0B/03/2015
Priority: Normal Due date:
Assignee: - % Done: 15%

Target version: -

Subtasks No progress bar if “% done” is disabled for the tracker. 4 Add
testtracker #69: aaaa In Progress

» testtracker #84. aaaa New

» Bug #288: foobarbaz Meaw
Related issues Add

#2 - 2016-01-21 05:56 - Jean-Philippe Lang
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from 3.3.0 to 3.2.1
https://www.redmine.org/attachments/14997

- Resolution set to Fixed

Committed, thanks for the patch!

#3 - 2016-03-12 11:02 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

screenshot-fixed.png 59 KB 2016-01-18 Go MAEDA

defect-20988.diff 746 Bytes 2016-01-18 Go MAEDA
